#include<bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);

    long long int p,q,r; cin>>p>>q>>r;
    long long int l,d; cin>>l>>d;
    long long int res,br=0;
    for(long long int i = l;i<=d;i++){
        res = ceil(i/p)+ceil(i/q)+ceil(i/r);
        if(res<=i) br++;
        res = 0;
    }
    cout<<br;

    return 0;
}